Skip to main content
POST
/
action
/
file_converter_watermark_action
[FC9] Watermark File
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/file_converter_watermark_action \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input_file_url": "<string>",
  "input_format": "pdf",
  "text": "<string>",
  "output_variable_name": "watermarked_file"
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
input_file_url
string
required

S3 or public URL of the file to watermark.

input_format
string
default:pdf
required

Extension of the input file (e.g. pdf, png, jpg).

text
string
required

Text to overlay (e.g. CONFIDENTIAL, DRAFT).

output_variable_name
string
default:watermarked_file
required

Variable name for the result.

Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action